Ubuntu

CVE-2013-1929

Reported by John Johansen on 2013-04-09
256
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Luis Henriques
Quantal
Low
Luis Henriques
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-armadaxp (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-ec2 (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-fsl-imx51 (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-lts-backport-maverick (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-lts-backport-natty (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Undecided
Unassigned
linux-lts-backport-oneiric (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-lts-quantal (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-lts-raring (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-mvl-dove (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned
linux-ti-omap4 (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned
Saucy
Low
Unassigned

Bug Description

Linux kernel built with the Broadcom tg3 ethernet driver is vulnerable to a buffer overflow. This could occur when the tg3 driver reads and copies firmware string from hardware's product data(VPD), if it exceeds 32 characters. A user with physical access to a machine could use this flaw to crash the system or, potentially, escalate their privileges on the system.

Break-Fix: 184b89044fb6e2a74611dafa69b1dce0d98612c6 715230a44310a8cf66fbfb5a46f9a62a9b2de424

John Johansen (jjohansen) wrote :

CVE-2013-1929

tags: added: kernel-cve-tracking-bug
information type: Public → Public Security
Changed in linux-armadaxp (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Lucid):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Raring):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Hardy):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Precise):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Raring):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-ec2 (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Lucid):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-quantal (Ubuntu Quantal):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Precise):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Raring):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Hardy):
status: New → Invalid
Changed in linux-mvl-dove (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
status: New → Invalid
Changed in linux-lts-backport-maverick (Ubuntu Quantal):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-ti-omap4 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Precise):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Raring):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Hardy):
status: New → Invalid
Changed in linux-fsl-imx51 (Ubuntu Quantal):
status: New → Invalid
description: updated
Changed in linux-armadaxp (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-armadaxp (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-ec2 (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-oneiric (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-quantal (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-mvl-dove (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-lts-backport-maverick (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux (Ubuntu Precise):
importance: Undecided → Low
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux (Ubuntu Raring):
importance: Undecided → Low
Changed in linux (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Lucid):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-ti-omap4 (Ubuntu Quantal):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Precise):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Oneiric):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Raring):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Hardy):
importance: Undecided → Low
Changed in linux-fsl-imx51 (Ubuntu Quantal):
importance: Undecided → Low
Luis Henriques (henrix) on 2013-04-12
Changed in linux (Ubuntu Quantal):
assignee: nobody → Luis Henriques (henrix)
status: New → In Progress
Changed in linux (Ubuntu Precise):
assignee: nobody → Luis Henriques (henrix)
status: New → In Progress
Changed in linux (Ubuntu Raring):
status: New → Invalid
Changed in linux-armadaxp (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-armadaxp (Ubuntu Quantal):
status: New → Fix Committed
Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Raring):
status: New → Fix Committed
Changed in linux-ti-omap4 (Ubuntu Quantal):
status: New → Fix Committed
Changed in linux-ec2 (Ubuntu Lucid):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
status: New → Invalid
Changed in linux (Ubuntu Hardy):
status: New → Invalid
description: updated
no longer affects: linux-armadaxp (Ubuntu Hardy)
no longer affects: linux-armadaxp (Ubuntu Oneiric)
no longer affects: linux-ec2 (Ubuntu Hardy)
no longer affects: linux-ec2 (Ubuntu Oneiric)
no longer affects: linux-lts-backport-oneiric (Ubuntu Hardy)
no longer affects: linux-lts-backport-oneiric (Ubuntu Oneiric)
no longer affects: linux-lts-backport-natty (Ubuntu Hardy)
no longer affects: linux-lts-backport-natty (Ubuntu Oneiric)
no longer affects: linux-lts-quantal (Ubuntu Hardy)
no longer affects: linux-lts-quantal (Ubuntu Oneiric)
no longer affects: linux-mvl-dove (Ubuntu Hardy)
no longer affects: linux-mvl-dove (Ubuntu Oneiric)
no longer affects: linux-lts-backport-maverick (Ubuntu Hardy)
no longer affects: linux-lts-backport-maverick (Ubuntu Oneiric)
no longer affects: linux (Ubuntu Hardy)
no longer affects: linux (Ubuntu Oneiric)
no longer affects: linux-fsl-imx51 (Ubuntu Hardy)
no longer affects: linux-fsl-imx51 (Ubuntu Oneiric)
no longer affects: linux-ti-omap4 (Ubuntu Hardy)
no longer affects: linux-ti-omap4 (Ubuntu Oneiric)
no longer affects: linux-lts-raring (Ubuntu Hardy)
no longer affects: linux-lts-raring (Ubuntu Oneiric)
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Lucid):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Saucy):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Quantal):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-raring (Ubuntu Raring):
status: New → Invalid
importance: Undecided → Low
Changed in linux-lts-backport-natty (Ubuntu Lucid):
status: New → Won't Fix
Changed in linux-lts-backport-natty (Ubuntu Precise):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Quantal):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-backport-natty (Ubuntu Saucy):
status: New → Invalid
Changed in linux-lts-backport-oneiric (Ubuntu Lucid):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.2.0-1619.29

---------------
linux-armadaxp (3.2.0-1619.29) precise-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1181102
  * Rebase onto Ubuntu-3.2.0-44.69

  [ Ubuntu: 3.2.0-44.69 ]

  * Release Tracking Bug
    - LP: #1180612
  * merged back all changes which were in 42.67

  [ Ubuntu: 3.2.0-43.68 ]

  * Release Tracking Bug
    - LP: #1180167
  * Based on 3.2.0-41.66 release
    - entire delta from 41.66 to 42.67 removed
    - CVE release is based on updates+fix
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - LP: #1179943
    - CVE-2013-2094
 -- Ike Panhc <email address hidden> Fri, 17 May 2013 15:15:21 +0800

Changed in linux-armadaxp (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-armadaxp - 3.5.0-1614.21

---------------
linux-armadaxp (3.5.0-1614.21) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1181059
  * Rebase onto Ubuntu-3.5.0-31.52

  [ Ubuntu: 3.5.0-31.52 ]

  * Release Tracking Bug
    - LP: #1180568
  * merged back in delta from 28.48 to 29.49

  [ Ubuntu: 3.5.0-30.51 ]

  * Release Tracking Bug
    - LP: #1180038
  * Based on 3.5.0-28.48 release
    - entire delta from 28.48 to 29.49 removed
    - CVE release is based on updates+fix
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - LP: #1179943
    - CVE-2013-2094
 -- Ike Panhc <email address hidden> Fri, 17 May 2013 15:48:27 +0800

Changed in linux-armadaxp (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.3 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.5.0-225.36

---------------
linux-ti-omap4 (3.5.0-225.36) quantal-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1180204

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-31.52

  [ Ubuntu: 3.5.0-31.52 ]

  * Release Tracking Bug
    - LP: #1180568
  * merged back in delta from 28.48 to 29.49

  [ Ubuntu: 3.5.0-30.51 ]

  * Release Tracking Bug
    - LP: #1180038
  * Based on 3.5.0-28.48 release
    - entire delta from 28.48 to 29.49 removed
    - CVE release is based on updates+fix
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - LP: #1179943
    - CVE-2013-2094

linux-ti-omap4 (3.5.0-224.35) quantal-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1177190

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-29.49

  [ Ubuntu: 3.5.0-29.49 ]

  * Release Tracking Bug
    - LP: #1177007
  * SAUCE: (no-up) alx: disables MSI generation
    - LP: #927782
  * CONFIG: CONFIG_EFI_VARS_PSTORE (not set); CONFIG_PPC_EMULATE_SSTEP=y
  * SAUCE: Bluetooth: Add support for Broadcom 413c:8143
    - LP: #1166113
  * SAUCE: (no-up) x86: reboot: Make Dell Optiplex 390 use reboot=pci
    - LP: #800660
  * SAUCE: cpuidle: Fix NULL pointer dereference when offlining CPU's
    - LP: #1168452
  * [Config] Add libceph to base modules list
    - LP: #1164739
  * SAUCE: (no-up) alx: Don't check netif_running() before powering up
    - LP: #1172415
  * [packaging] Bump ABI for every new release
  * Revert "drivers/rtc/rtc-at91rm9200.c: use a variable for storing IMR"
    - LP: #1174946
  * Input: ALPS - document the alps.h data structures
    - LP: #1089413
  * Input: ALPS - copy "model" info into alps_data struct
    - LP: #1089413
  * Input: ALPS - move alps_get_model() down below hw_init code
    - LP: #1089413
  * Input: ALPS - introduce helper function for repeated commands
    - LP: #1089413
  * Input: ALPS - rework detection sequence
    - LP: #1089413
  * Input: ALPS - use function pointers for different protocol handlers
    - LP: #1089413
  * Input: ALPS - move {addr,nibble}_command settings into
    alps_set_defaults()
    - LP: #1089413
  * Input: ALPS - rework detection of Pinnacle AGx touchpads
    - LP: #1089413
  * Input: ALPS - fix command mode check
    - LP: #1089413
  * Input: ALPS - move pixel and bitmap info into alps_data struct
    - LP: #1089413
  * Input: ALPS - make the V3 packet field decoder "pluggable"
    - LP: #1089413
  * Input: ALPS - add support for "Rushmore" touchpads
    - LP: #1089413
  * Input: ALPS - enable trackstick on Rushmore touchpads
    - LP: #1089413
  * Input: ALPS - remove unused argument to alps_enter_command_mode()
    - LP: #1089413
  * Input: ALPS - add "Dolphin V1" touchpad support
    - LP: #1089413
  * tg3: fix length overflow in VPD firmware parsing
    - LP: #1167065
    - CVE-2013-1929
  * Bluetooth: Add support for atheros 04ca:3004 device to ath3k
    - LP: #1168852
  * ata_piix: Fix DVD not dectected at some Haswell platforms
    - LP: #1170797
  * clockevents: Don't allow dummy broadcast timers
    - LP: #1174946
  * Bluetooth: Add support for Dell[QCA 0cf3:0036]
    - LP: #1174946
  * Bluetooth: Add support for Dell[QCA ...

Changed in linux-ti-omap4 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in linux-ti-omap4 (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1432.41

---------------
linux-ti-omap4 (3.2.0-1432.41) precise-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1180358

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-44.69

  [ Ubuntu: 3.2.0-44.69 ]

  * Release Tracking Bug
    - LP: #1180612
  * merged back all changes which were in 42.67

  [ Ubuntu: 3.2.0-43.68 ]

  * Release Tracking Bug
    - LP: #1180167
  * Based on 3.2.0-41.66 release
    - entire delta from 41.66 to 42.67 removed
    - CVE release is based on updates+fix
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - LP: #1179943
    - CVE-2013-2094
 -- Paolo Pisati <email address hidden> Thu, 16 May 2013 16:00:39 +0200

Changed in linux-ti-omap4 (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.3 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.5.0-225.36

---------------
linux-ti-omap4 (3.5.0-225.36) quantal-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1180204

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-31.52

  [ Ubuntu: 3.5.0-31.52 ]

  * Release Tracking Bug
    - LP: #1180568
  * merged back in delta from 28.48 to 29.49

  [ Ubuntu: 3.5.0-30.51 ]

  * Release Tracking Bug
    - LP: #1180038
  * Based on 3.5.0-28.48 release
    - entire delta from 28.48 to 29.49 removed
    - CVE release is based on updates+fix
  * perf: Treat attr.config as u64 in perf_swevent_init()
    - LP: #1179943
    - CVE-2013-2094

linux-ti-omap4 (3.5.0-224.35) quantal-proposed; urgency=low

  * Release Tracking Bug
    - LP: #1177190

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.5.0-29.49

  [ Ubuntu: 3.5.0-29.49 ]

  * Release Tracking Bug
    - LP: #1177007
  * SAUCE: (no-up) alx: disables MSI generation
    - LP: #927782
  * CONFIG: CONFIG_EFI_VARS_PSTORE (not set); CONFIG_PPC_EMULATE_SSTEP=y
  * SAUCE: Bluetooth: Add support for Broadcom 413c:8143
    - LP: #1166113
  * SAUCE: (no-up) x86: reboot: Make Dell Optiplex 390 use reboot=pci
    - LP: #800660
  * SAUCE: cpuidle: Fix NULL pointer dereference when offlining CPU's
    - LP: #1168452
  * [Config] Add libceph to base modules list
    - LP: #1164739
  * SAUCE: (no-up) alx: Don't check netif_running() before powering up
    - LP: #1172415
  * [packaging] Bump ABI for every new release
  * Revert "drivers/rtc/rtc-at91rm9200.c: use a variable for storing IMR"
    - LP: #1174946
  * Input: ALPS - document the alps.h data structures
    - LP: #1089413
  * Input: ALPS - copy "model" info into alps_data struct
    - LP: #1089413
  * Input: ALPS - move alps_get_model() down below hw_init code
    - LP: #1089413
  * Input: ALPS - introduce helper function for repeated commands
    - LP: #1089413
  * Input: ALPS - rework detection sequence
    - LP: #1089413
  * Input: ALPS - use function pointers for different protocol handlers
    - LP: #1089413
  * Input: ALPS - move {addr,nibble}_command settings into
    alps_set_defaults()
    - LP: #1089413
  * Input: ALPS - rework detection of Pinnacle AGx touchpads
    - LP: #1089413
  * Input: ALPS - fix command mode check
    - LP: #1089413
  * Input: ALPS - move pixel and bitmap info into alps_data struct
    - LP: #1089413
  * Input: ALPS - make the V3 packet field decoder "pluggable"
    - LP: #1089413
  * Input: ALPS - add support for "Rushmore" touchpads
    - LP: #1089413
  * Input: ALPS - enable trackstick on Rushmore touchpads
    - LP: #1089413
  * Input: ALPS - remove unused argument to alps_enter_command_mode()
    - LP: #1089413
  * Input: ALPS - add "Dolphin V1" touchpad support
    - LP: #1089413
  * tg3: fix length overflow in VPD firmware parsing
    - LP: #1167065
    - CVE-2013-1929
  * Bluetooth: Add support for atheros 04ca:3004 device to ath3k
    - LP: #1168852
  * ata_piix: Fix DVD not dectected at some Haswell platforms
    - LP: #1170797
  * clockevents: Don't allow dummy broadcast timers
    - LP: #1174946
  * Bluetooth: Add support for Dell[QCA 0cf3:0036]
    - LP: #1174946
  * Bluetooth: Add support for Dell[QCA ...

Changed in linux-ti-omap4 (Ubuntu Saucy):
status: Fix Committed → Fix Released
Changed in linux-lts-quantal (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers